package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 公有云账单
 */

public interface BillingProvider extends SuperProvider {
    default BocloudResult billDetailList(String month) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult billResourceSummaryList() {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult billBySubscriptionId() {
        return new BocloudResult(false, "need implement");
    }

}
